package com.ff.base.enums;


import lombok.Getter;

/**
 * 活动更多申领限制
 *
 * @author liukang
 * @date 2025/01/03
 */
@Getter
public enum ActivityReceiveLimitType {
    ReceiveLimitType_1("1", "完成短信验证才能领取"),
    ReceiveLimitType_2("2", "完成邮箱验证才能领取"),
    ReceiveLimitType_3("3", "完成银行卡绑定才能领取"),
    ReceiveLimitType_4("4", "绑定虚拟货币才能领取"),
    ReceiveLimitType_5("5", "绑定三方钱包才能领取"),
    ReceiveLimitType_6("6", "绑定收款方式才能领取"),
    ReceiveLimitType_7("7", "填写真实姓名才能领取"),
    ReceiveLimitType_8("8", "同姓名只能领取1次"),
    ReceiveLimitType_9("9", "同类型活动只能申领1次"),
    ReceiveLimitType_10("10", "完成首充才能领取"),
    ReceiveLimitType_11("11", "同登录IP号只能申领1次"),
    ReceiveLimitType_12("12", "同登录设备号只能申领1次");

    private final String code;
    private final String info;

    ActivityReceiveLimitType(String code, String info) {
        this.code = code;
        this.info = info;
    }

}
